/*
    FEARLUS model0-7-1ci: FickleStrategy.h
    Copyright (C) 1999-2003, 2006  Macaulay Institute

    This file is part of FEARLUS model0-7-1ci, an agent-based model of land use
    change.

    FEARLUS model0-7-1ci is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model0-7-1ci is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/*


Interface for the FickleStrategy object. This strategy assumes that each land
manager gets their own copy of the strategy object to use, as it maintains data
that it keeps across decisions. This is a non-historical strategy, and is not
purely imitative, that selects a land use at random each year, and if called
again in the same year, uses the same land use.

*/

#import <objectbase/SwarmObject.h>
#import "Strategy.h"

@interface FickleStrategy: SwarmObject
<NonImitativeStrategy, NonHistoricalStrategy> {
  LandManager *lm;
  Parameter *parameter;
  unsigned currentYear;
  BOOL firstCall;
  LandUse *thisYearsLU;
}

@end

